filename = "${title} - ${new Date().format('yyyy-MM-dd')}.xlsx".toString() // "filename" is a standard Java String, not a GString

createdVsResolvedReport = new CreatedVsResolvedReportTool()

class CreatedVsResolvedReportTool {
	def getResolution(issue) {
		issue.resolutionObject?.name ?: '(Unresolved)'
	}

	def getAssignee(issue) {
		issue.assignee?.displayName ?: '(Unassigned)'
	}

	def getAffectedVersions(issue) {
		issue.affectedVersions ? issue.affectedVersions.collect{ it.name }.join(', ') : '(No version)'
	}

	def getFixVersions(issue) {
		issue.fixVersions ? issue.fixVersions.collect{ it.name }.join(', ') : '(No version)'
	}

	def getComponents(issue) {
		issue.components ? issue.components.collect{ it.name }.join(', ') : '(No component)'
	}
}
